cascading.flow.planner.process

## Class FlowStepGraph

- java.lang.Object
- - cascading.flow.planner.process.BaseProcessGraph<FlowStep>
  - - cascading.flow.planner.process.FlowStepGraph

- All Implemented Interfaces:
    ProcessGraph<FlowStep>, java.io.Serializable

      public class FlowStepGraph
      extends BaseProcessGraph<FlowStep>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.planner.process.BaseProcessGraph

      `sinkElements, sourceElements, trapsMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowStepGraph()`
    `FlowStepGraph(FlowStepFactory flowStepFactory, FlowElementGraph flowElementGraph, java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>> nodeSubGraphsMap)`
    `FlowStepGraph(FlowStepFactory flowStepFactory, FlowElementGraph flowElementGraph, java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>> nodeSubGraphsMap, java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>> pipelineSubGraphsMap)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `buildGraph(FlowStepFactory flowStepFactory, FlowElementGraph flowElementGraph, java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>> nodeSubGraphsMap, java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>> pipelineSubGraphsMap)`
    `protected FlowNodeGraph` | `createFlowNodeGraph(FlowStepFactory flowStepFactory, FlowElementGraph flowElementGraph, java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>> pipelineSubGraphsMap, java.util.List<? extends ElementGraph> nodeSubGraphs)`

    - ### Methods inherited from class cascading.flow.planner.process.BaseProcessGraph

      `addEdge, addEdge, addVertex, bindEdges, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getAllSinkElements, getAllSourceElements, getAnnotations, getDuplicatedElements, getEdge, getEdgeSource, getEdgeTarget, getEdgeWeight, getElementGraphs, getElementGraphs, getElementGraphs, getElementProcesses, getElementProcesses, getElementSinkProcesses, getElementSourceProcesses, getIdentityElementGraphs, getIdentityProcesses, getOrderedTopologicalIterator, getOrdinalTopologicalIterator, getSinkElements, getSinkTaps, getSinkTapsMap, getSourceElements, getSourceTaps, getSourceTapsMap, getTopologicalIterator, getTrapsMap, incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf, printProcessGraph, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet, writeDOT, writeDOTNested`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlowStepGraph

          public FlowStepGraph()

    - #### FlowStepGraph

          public FlowStepGraph(FlowStepFactory flowStepFactory,
                       FlowElementGraph flowElementGraph,
                       java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>> nodeSubGraphsMap)

    - #### FlowStepGraph

          public FlowStepGraph(FlowStepFactory flowStepFactory,
                       FlowElementGraph flowElementGraph,
                       java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>> nodeSubGraphsMap,
                       java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>> pipelineSubGraphsMap)

  - ### Method Detail

    - #### buildGraph

          protected void buildGraph(FlowStepFactory flowStepFactory,
                        FlowElementGraph flowElementGraph,
                        java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>> nodeSubGraphsMap,
                        java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>> pipelineSubGraphsMap)

    - #### createFlowNodeGraph

          protected FlowNodeGraph createFlowNodeGraph(FlowStepFactory flowStepFactory,
                                          FlowElementGraph flowElementGraph,
                                          java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>> pipelineSubGraphsMap,
                                          java.util.List<? extends ElementGraph> nodeSubGraphs)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.